<?php

namespace App\Enums;

enum UserGender: string
{
    case Male = 'male';
    case Female = 'female';
    case Other = 'other';
    case Unset = 'unset'; 

    // 返回對應的顯示文字
    public function labels(): string
    {
        return match($this) {
            self::Male => __('enums.user.gender.Male'),
            self::Female => __('enums.user.gender.Female'),
            self::Other => __('enums.Other'),
            self::Unset => __('enums.Unset'),
        };
    }
    
    public function labelPowergridFilter(): String
    {
        return $this -> labels();
    }
}